CacheRegenerator (Solr 3.6.2 API)
Keywords: org.apache.solr.search.CacheRegenerator interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Interface CacheRegenerator

All Known Implementing Classes:
  SolrPluginUtils.IdentityRegenerator

    public interface CacheRegenerator

Implementations of `CacheRegenerator` are used in autowarming to populate a new cache based on an old cache. `regenerateItem` is called for each item that should be inserted into the new cache.

Implementations should have a noarg constructor and be thread safe (a single instance will be used for all cache autowarmings).

Version:
  $Id: CacheRegenerator.java 555343 2007-07-11 17:46:25Z hossman $

Method Summary
`boolean` | `regenerateItem(SolrIndexSearcher newSearcher, SolrCache newCache, SolrCache oldCache, Object oldKey, Object oldVal)` Regenerate an old cache item and insert it into `newCache`

Method Detail

### regenerateItem

    boolean regenerateItem(SolrIndexSearcher newSearcher,
                           SolrCache newCache,
                           SolrCache oldCache,
                           Object oldKey,
                           Object oldVal)
                           throws IOException

  Regenerate an old cache item and insert it into `newCache`

  Parameters:
    `newSearcher` - the new searcher who's caches are being autowarmed
    `newCache` - where regenerated cache items should be stored. the target of the autowarming
    `oldCache` - the old cache being used as a source for autowarming
    `oldKey` - the key of the old cache item to regenerate in the new cache
    `oldVal` - the old value of the cache item
  Returns:
    true to continue with autowarming, false to stop
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD